var BNJS = window.BNJS || {};
BNJS.env = window.ENV || BNJS.env || {};
BNJS.page = BNJS.page || {};
BNJS.ui = BNJS.ui || {};
BNJS.http = BNJS.http || {};
BNJS.localStorage = BNJS.localStorage || {};

BNJS.ui.title = BNJS.ui.title || {};
BNJS.ui.title.setNav = BNJS.ui.title.setNav || {};
BNJS.ui.title.setTitle = function setTitle(title) {
    cordova.exec(null, null , 'ui.title', 'setTitle', title);
};
BNJS.ui.title.setClickableTitle = function setClickableTitle(title) {
    cordova.exec(null, null , 'ui.title', 'setClickableTitle', title);
};
BNJS.ui.title.addTagList = function addTagList(options) {
    cordova.exec(options['callback'], options['callback'], 'ui.title', 'addTagList', options);
};
BNJS.ui.title.addActionButton = function addActionButton(options) {
    cordova.exec(options['callback'], options['callback'], 'ui.title', 'addActionButton', options);
};

BNJS.ui.share = function share(options) {
    cordova.exec(options['onSuccess'], options['onFail'], 'ui', 'share', options);
};

BNJS.ui.hideLoadingPage = function hideLoadingPage() {
    cordova.exec(null, null , 'page', 'hideLoadingPage', null);
};
BNJS.ui.showLoadingPage = function showLoadingPage() {
    cordova.exec(null, null , 'page', 'showLoadingPage', null);
};
BNJS.ui.showErrorPage = function showErrorUi() {
    cordova.exec(null, null , 'page', 'showErrorPage', null);
};
BNJS.page.showErrorPage = function showErrorPage() {
    cordova.exec(null, null , 'page', 'showErrorPage', null);
};
BNJS.page.getData = function getData(data) {
    cordova.exec(data, data , 'page', 'getData', null);
};
BNJS.page.onBtnBackClick = function onBtnBackClick(callback) {};
BNJS.page.start = function start(url, bnData, bnTarget) {
    var options = {};
    options['url'] = url;
    options['bnData'] = bnData;
    options['bnTarget'] = bnTarget;
    cordova.exec(null, null , 'page', 'start', options);
};

BNJS.http.get = function get(options) {
    cordova.exec(options['onSuccess'], options['onFail'], 'http', 'get', options);
};
BNJS.http.post = function post(options) {
    cordova.exec(options['onSuccess'], options['onFail'], 'http', 'post', options);
};

BNJS.localStorage.setItem = function setItem(key, value, success, failure) {
    var options = {};
    options['key'] = key;
    options['value'] = value;
    cordova.exec(success, failure, 'localStorage', 'setItem', options);
};
BNJS.localStorage.getItem = function getItem(key, success, failure, version) {
    var options = {};
    options['key'] = key;
    options['version'] = version;
    cordova.exec(success, failure, 'localStorage', 'getItem', options);
};
BNJS.localStorage.removeItem = function removeItem(key, success, failure) {
    var options = {};
    options['key'] = key;
    cordova.exec(success, failure, 'localStorage', 'removeItem', options);
};

BNJS.location = BNJS.location || {};
BNJS.location.hasLocation = false;
BNJS.location.getLocation = function getLocation() {
    cordova.exec(null, null , 'location', 'getLocation', null);
};

BNJS._isAllReady = true;
try{
    document.dispatchEvent(new Event('BNJSReady'));
}catch(e){
    console.log('exception firing resume event from native  ' + e);
};