define('common:widget/filter/filter', function(require, exports, module) {

  /**
   * @file filter.js
   * @author Yern Sun <sunyueran@baidu.com>
   * @createDate 2016-09-24
   */
  module.exports = Widget.extend({
      name: 'common-filter',
      init: function () {
          this.$el.find('[widget="calendar-contaner"]').html($('[template="calendar"]').html());
      },
      open: function () {
          toggleScroll(true);
      },
      confirm: function () {
  
      },
      close: function () {
          toggleScroll(false);
      }
  });
  
  function toggleScroll(show) {
      var body = $('html, body, #wrapper');
      if (show === true || show === 1) {
          body.addClass('disable-scroll');
      }
      else if (show === false || show === 0) {
          body.addClass('disable-scroll');
      }
      else {
          body.toggleClass('disable-scroll');
      }
  }

});
