define('common:widget/home/home', function(require, exports, module) {

  /**
   * @file home.js
   * @author Yern Sun <sunyueran@baidu.com>
   * @createDate 2016-12-06
   */
  
  module.exports = window.Widget.extend({
      name: 'home-nav',
      init: function () {
          var self = this;
          window.BNMJS.page.getData(function (data) {
              self.$active = data.AppPage || '/';
              self.setNav(self.$active);
          });
      },
      switch: function (e, data) {
          var target = $(e.target);
          var page = data.page;
          if (this.$active === page) {
              return this.$preventEvent();
          }
          this.$active = page;
          this.setNav(page);
          return {
              page: page
          };
      },
      setNav: function (page) {
          this.$el.find('[data-page="' + page + '"]').addClass('active').siblings().removeClass('active');
      }
  });

});
